﻿@model UserRatingViewModel
@{
    ViewData["Title"] = "Add User`s rating";
}

<h2>@ViewData["Title"]</h2>

<div class="row">
    <section>
        <form asp-controller="Movie" asp-action="AddUserRating" method="post">
            <div class="col-md-6">
                <h4>Add rating to movie.</h4>
                <hr />
                <div asp-validation-summary="All" class="text-danger"></div>
                <input type="hidden" asp-for="@Model.MovieId" />
                <div class="form-group">
                    <label asp-for="@Model.UserRating"></label>
                    <input asp-for="@Model.UserRating" class="form-control" />
                    <span asp-validation-for="@Model.UserRating" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-success">Add Rating</button>
                </div>
            </div>
        </form>
    </section>
</div>

@section Scripts {
    @await Html.PartialAsync("_ValidationScriptsPartial")
}



